
stations: 
  - 25 de Abril (n9297732643)
  - Aeroporto (w760887331)
  - Alameda (w900184898)
  - Alfornelos (w1117600838)
  - Almada (n9297732646)
  - Alto dos Moinhos (n256978170)
  - Alvalade (w1103512489)
  - Amadora Este (n256981325)
  - Ameixoeira (n11307381908)
  - Anjos (w900533380)
  - António Gedeão (n9297732656)
  - Areeiro (w1103635651)
  - Arroios (w900581650)
  - Avenida (n11306784698)
  - Baixa-Chiado (w898560648)
  - Bela Vista (n11304102295)
  - Bento Gonçalves (n9297732647)
  - Boa Esperança (n9297732650)
  - Cabo Ruivo (n11304102292)
  - Cacilhas (n9297732642)
  - Cais do Sodré (w1007182770)
  - Campo Grande (w110535714)
  - Campo Pequeno (n11307381905)
  - Carnide (n256979289)
  - Casa do Povo (n9297732659)
  - Chelas (n11304102294)
  - Cidade Universitária (n11307381906)
  - Colégio Militar/Luz (n11306784695)
  - Corroios (n9297732660)
  - Cova da Piedade (n9297732654)
  - Encarnação (w1239514048)
  - Entrecampos (n11307500428)
  - Fomega (n9297732651)
  - Gil Vicente (n9297732644)
  - Intendente (w898623801)
  - Jardim Zoológico (n256978160)
  - Laranjeiras (n256978165)
  - Laranjeiro (n9297732657)
  - Lumiar (n11307381907)
  - Marquês de Pombal (r8754539)
  - Martim Moniz (w898593442)
  - Monte da Caparica (n9297732652)
  - Moscavide (w1239514049)
  - Odivelas (n11307381909)
  - Olaias (n11304102296)
  - Olivais (w1239765716)
  - Oriente (w1239514051)
  - Parque (w1278640110)
  - Parque da Paz (n9297732655)
  - Picoas (w1198012683)
  - Pontinha (w1117657027)
  - Pragal (n9297732649)
  - Praça de Espanha (n256976574)
  - Quinta das Conchas (w1113292195)
  - Ramalha (n9297732648)
  - Rato (n11307381904)
  - Reboleira (n4119252201)
  - Restauradores (w695510929)
  - Roma (w985374862)
  - Rossio (w898569365)
  - Saldanha (w1197171790)
  - Santa Apolónia (n11307500429)
  - Santo Amaro (n9297732658)
  - Senhor Roubado (w203470952)
  - São João Baptista (n9297732645)
  - São Sebastião (w290226008)
  - Telheiras (w907005118)
  - Terreiro do Paço (w619519277)
  - Universidade (n9297732653)

transfers: 
  - 
    - Alameda (r12296403)
    - Alameda (r7683266)
  - 
    - Baixa-Chiado (r14694390)
    - Baixa-Chiado (r7715711)
  - 
    - Campo Grande (r10930271)
    - Campo Grande (r14694384)
  - 
    - Marquês de Pombal (r10952089)
    - Marquês de Pombal (r9541911)
  - 
    - Saldanha (r16205777)
    - Saldanha (r7683264)
  - 
    - São Sebastião (r14690658)
    - São Sebastião (r7683262)

routes: 
  - 
    type: light_rail
    ref: 1
    name: 'Linha 1: Cacilhas – Corroios'
    colour: '#01a3e1'
    station_count: 13
    stations: 
      - Cacilhas
      - 25 de Abril
      - Gil Vicente
      - São João Baptista
      - Almada
      - Bento Gonçalves
      - Cova da Piedade
      - Parque da Paz
      - António Gedeão
      - Laranjeiro
      - Santo Amaro
      - Casa do Povo
      - Corroios

    itineraries: 
      r6680813: 
        - Cacilhas (n9297732642)
        - 25 de Abril (n9297732643)
        - Gil Vicente (n9297732644)
        - São João Baptista (n9297732645)
        - Almada (n9297732646)
        - Bento Gonçalves (n9297732647)
        - Cova da Piedade (n9297732654)
        - Parque da Paz (n9297732655)
        - António Gedeão (n9297732656)
        - Laranjeiro (n9297732657)
        - Santo Amaro (n9297732658)
        - Casa do Povo (n9297732659)
        - Corroios (n9297732660)

      r14611342: 
        - Corroios (n9297732660)
        - Casa do Povo (n9297732659)
        - Santo Amaro (n9297732658)
        - Laranjeiro (n9297732657)
        - António Gedeão (n9297732656)
        - Parque da Paz (n9297732655)
        - Cova da Piedade (n9297732654)
        - Bento Gonçalves (n9297732647)
        - Almada (n9297732646)
        - São João Baptista (n9297732645)
        - Gil Vicente (n9297732644)
        - 25 de Abril (n9297732643)
        - Cacilhas (n9297732642)


  - 
    type: light_rail
    ref: 2
    name: 'Linha 2: Corroios – Pragal'
    colour: '#ffcc01'
    station_count: 9
    stations: 
      - Pragal
      - Ramalha
      - Cova da Piedade
      - Parque da Paz
      - António Gedeão
      - Laranjeiro
      - Santo Amaro
      - Casa do Povo
      - Corroios

    itineraries: 
      r7817932: 
        - Pragal (n9297732649)
        - Ramalha (n9297732648)
        - Cova da Piedade (n9297732654)
        - Parque da Paz (n9297732655)
        - António Gedeão (n9297732656)
        - Laranjeiro (n9297732657)
        - Santo Amaro (n9297732658)
        - Casa do Povo (n9297732659)
        - Corroios (n9297732660)

      r14611426: 
        - Corroios (n9297732660)
        - Casa do Povo (n9297732659)
        - Santo Amaro (n9297732658)
        - Laranjeiro (n9297732657)
        - António Gedeão (n9297732656)
        - Parque da Paz (n9297732655)
        - Cova da Piedade (n9297732654)
        - Ramalha (n9297732648)
        - Pragal (n9297732649)


  - 
    type: light_rail
    ref: 3
    name: 'Linha 3: Cacilhas – Universidade'
    colour: '#bcd019'
    station_count: 12
    stations: 
      - Cacilhas
      - 25 de Abril
      - Gil Vicente
      - São João Baptista
      - Almada
      - Bento Gonçalves
      - Ramalha
      - Pragal
      - Boa Esperança
      - Fomega
      - Monte da Caparica
      - Universidade

    itineraries: 
      r7817935: 
        - Cacilhas (n9297732642)
        - 25 de Abril (n9297732643)
        - Gil Vicente (n9297732644)
        - São João Baptista (n9297732645)
        - Almada (n9297732646)
        - Bento Gonçalves (n9297732647)
        - Ramalha (n9297732648)
        - Pragal (n9297732649)
        - Boa Esperança (n9297732650)
        - Fomega (n9297732651)
        - Monte da Caparica (n9297732652)
        - Universidade (n9297732653)

      r14611397: 
        - Universidade (n9297732653)
        - Monte da Caparica (n9297732652)
        - Fomega (n9297732651)
        - Boa Esperança (n9297732650)
        - Pragal (n9297732649)
        - Ramalha (n9297732648)
        - Bento Gonçalves (n9297732647)
        - Almada (n9297732646)
        - São João Baptista (n9297732645)
        - Gil Vicente (n9297732644)
        - 25 de Abril (n9297732643)
        - Cacilhas (n9297732642)


  - 
    type: subway
    ref: Amarela
    name: Linha Amarela
    colour: '#f4bc18'
    station_count: 13
    stations: 
      - Rato
      - Marquês de Pombal
      - Picoas
      - Saldanha
      - Campo Pequeno
      - Entrecampos
      - Cidade Universitária
      - Campo Grande
      - Quinta das Conchas
      - Lumiar
      - Ameixoeira
      - Senhor Roubado
      - Odivelas

    itineraries: 
      r370761: 
        - Rato (n11307381904)
        - Marquês de Pombal (r8754539)
        - Picoas (w1198012683)
        - Saldanha (w1197171790)
        - Campo Pequeno (n11307381905)
        - Entrecampos (n11307500428)
        - Cidade Universitária (n11307381906)
        - Campo Grande (w110535714)
        - Quinta das Conchas (w1113292195)
        - Lumiar (n11307381907)
        - Ameixoeira (n11307381908)
        - Senhor Roubado (w203470952)
        - Odivelas (n11307381909)

      r7734162: 
        - Odivelas (n11307381909)
        - Senhor Roubado (w203470952)
        - Ameixoeira (n11307381908)
        - Lumiar (n11307381907)
        - Quinta das Conchas (w1113292195)
        - Campo Grande (w110535714)
        - Cidade Universitária (n11307381906)
        - Entrecampos (n11307500428)
        - Campo Pequeno (n11307381905)
        - Saldanha (w1197171790)
        - Picoas (w1198012683)
        - Marquês de Pombal (r8754539)
        - Rato (n11307381904)


  - 
    type: subway
    ref: Azul
    name: Linha Azul
    colour: '#4e84c4'
    station_count: 18
    stations: 
      - 'Terreiro do Paço - Metro'
      - Baixa-Chiado
      - Restauradores
      - Avenida
      - Marquês de Pombal
      - Parque
      - São Sebastião
      - Praça de Espanha
      - Jardim Zoológico
      - Laranjeiras
      - Alto dos Moínhos
      - Colégio Militar/Luz
      - Carnide
      - Pontinha
      - Alfornelos
      - Amadora Este
      - Reboleira
      - Santa Apolónia

    itineraries: 
      r371021: 
        - Terreiro do Paço (w619519277)
        - Baixa-Chiado (w898560648)
        - Restauradores (w695510929)
        - Avenida (n11306784698)
        - Marquês de Pombal (r8754539)
        - Parque (w1278640110)
        - São Sebastião (w290226008)
        - Praça de Espanha (n256976574)
        - Jardim Zoológico (n256978160)
        - Laranjeiras (n256978165)
        - Alto dos Moinhos (n256978170)
        - Colégio Militar/Luz (n11306784695)
        - Carnide (n256979289)
        - Pontinha (w1117657027)
        - Alfornelos (w1117600838)
        - Amadora Este (n256981325)
        - Reboleira (n4119252201)

      r7734161: 
        - Reboleira (n4119252201)
        - Amadora Este (n256981325)
        - Alfornelos (w1117600838)
        - Pontinha (w1117657027)
        - Carnide (n256979289)
        - Colégio Militar/Luz (n11306784695)
        - Alto dos Moinhos (n256978170)
        - Laranjeiras (n256978165)
        - Jardim Zoológico (n256978160)
        - Praça de Espanha (n256976574)
        - São Sebastião (w290226008)
        - Parque (w1278640110)
        - Marquês de Pombal (r8754539)
        - Avenida (n11306784698)
        - Restauradores (w695510929)
        - Baixa-Chiado (w898560648)
        - Terreiro do Paço (w619519277)
        - Santa Apolónia (n11307500429)


  - 
    type: subway
    ref: Verde
    name: Linha Verde
    colour: '#00aaa6'
    station_count: 13
    stations: 
      - 'Cais do Sodré - Metro'
      - Baixa-Chiado
      - Rossio
      - Martim Moniz
      - Intendente
      - Anjos
      - Arroios
      - Alameda
      - Areeiro
      - Roma
      - Alvalade
      - Campo Grande
      - Telheiras

    itineraries: 
      r371080: 
        - Cais do Sodré (w1007182770)
        - Baixa-Chiado (w898560648)
        - Rossio (w898569365)
        - Martim Moniz (w898593442)
        - Intendente (w898623801)
        - Anjos (w900533380)
        - Arroios (w900581650)
        - Alameda (w900184898)
        - Areeiro (w1103635651)
        - Roma (w985374862)
        - Alvalade (w1103512489)
        - Campo Grande (w110535714)
        - Telheiras (w907005118)

      r7734160: 
        - Telheiras (w907005118)
        - Campo Grande (w110535714)
        - Alvalade (w1103512489)
        - Roma (w985374862)
        - Areeiro (w1103635651)
        - Alameda (w900184898)
        - Arroios (w900581650)
        - Anjos (w900533380)
        - Intendente (w898623801)
        - Martim Moniz (w898593442)
        - Rossio (w898569365)
        - Baixa-Chiado (w898560648)
        - Cais do Sodré (w1007182770)


  - 
    type: subway
    ref: Vermelha
    name: Linha Vermelha
    colour: '#df096f'
    station_count: 12
    stations: 
      - São Sebastião
      - Saldanha
      - Alameda
      - Olaias
      - Bela Vista
      - Chelas
      - Olivais
      - Cabo Ruivo
      - Oriente
      - Moscavide
      - Encarnação
      - Aeroporto

    itineraries: 
      r371084: 
        - São Sebastião (w290226008)
        - Saldanha (w1197171790)
        - Alameda (w900184898)
        - Olaias (n11304102296)
        - Bela Vista (n11304102295)
        - Chelas (n11304102294)
        - Olivais (w1239765716)
        - Cabo Ruivo (n11304102292)
        - Oriente (w1239514051)
        - Moscavide (w1239514049)
        - Encarnação (w1239514048)
        - Aeroporto (w760887331)

      r7734159: 
        - Aeroporto (w760887331)
        - Encarnação (w1239514048)
        - Moscavide (w1239514049)
        - Oriente (w1239514051)
        - Cabo Ruivo (n11304102292)
        - Olivais (w1239765716)
        - Chelas (n11304102294)
        - Bela Vista (n11304102295)
        - Olaias (n11304102296)
        - Alameda (w900184898)
        - Saldanha (w1197171790)
        - São Sebastião (w290226008)



